Apply by doing:
	cd /usr/src/sys/arch/i386/i386
	patch < bootargv.patch

build a new kernel, ie.
	cd /usr/src/sys/arch/i386/conf
	config GENERIC
	cd ../compile/GENERIC
	make
	mv /bsd /bsd.1
	cp bsd /bsd
	reboot

Index: machdep.c
===================================================================
RCS file: /cvs/src/sys/arch/i386/i386/machdep.c,v
retrieving revision 1.94
diff -u -r1.94 machdep.c
--- machdep.c	1998/09/28 05:13:13	1.94
+++ machdep.c	1999/02/28 19:16:56
@@ -285,7 +285,7 @@
 
 	/* Boot arguments are in page 1 */
 	if (bootapiver >= 2) {
-		pa = NBPG;
+		pa = (vm_offset_t)bootargv;
 		for (i = 0; i < btoc(bootargc); i++, pa += NBPG)
 			pmap_enter(pmap_kernel(),
 			    (vm_offset_t)((caddr_t)bootargp + i * NBPG),
@@ -1701,7 +1701,7 @@
 #if !defined(MACHINE_NEW_NONCONTIG)
 	avail_next =
 #endif
-	avail_start = bootapiver >= 2 ? NBPG + i386_round_page(bootargc) : NBPG;
+	avail_start = bootapiver >= 2? i386_round_page(bootargv+bootargc): NBPG;
 	avail_end = extmem ? IOM_END + extmem * 1024
 		: cnvmem * 1024;	/* just temporary use */
 
